# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::DisplayParamsByteIO Class Reference

Represents compressed display-parameter data contained in an AccessUnit.

`#include <displayparams_byteio.h>`

Inheritance diagram for dirac::DisplayParamsByteIO:

[legend]
Collaboration diagram for dirac::DisplayParamsByteIO:

[legend]

List of all members.

## Public Member Functions

- DisplayParamsByteIO (const SeqParams &seq_params, SourceParams &src_params, const SourceParams &default_src_params, const ByteIO &stream_data)
    Constructor for Input/Output.
- ~DisplayParamsByteIO ()
    Destructor.
- void Input ()
    Reads display information from Dirac byte-format.
- void Output ()
    Outputs sequence information to Dirac byte-format.

## Private Member Functions

- void InputAspectRatio ()
    Reads aspect ratio info.
- void InputCleanArea ()
    Reads clean-area info.
- void InputColourMatrix ()
    Reads colour-matrix info.
- void InputColourPrimaries ()
    Reads primary-colour info.
- void InputColourSpecification ()
    Reads colour spec info.
- void InputFrameRate ()
    Reads frame-rate info.
- void InputScanFormat ()
    Reads Scan info.
- void InputSignalRange ()
    Reads signal range info.
- void InputTransferFunction ()
    Reads transfer-function info.
- void OutputAspectRatio ()
    Outputs aspect ratio info.
- void OutputCleanArea ()
    Outputs clean-area info.
- void OutputColourSpecification ()
    Outputs colour spec info.
- void OutputFrameRate ()
    Outputs frame-rate info.
- void OutputScanFormat ()
    Outputs Scan info.
- void OutputSignalRange ()
    Outputs signal range info.

## Private Attributes

- SourceParams & m_src_params
    Source parameters for input/ouput.
- const SourceParams & m_default_src_params
    Default source parameters.
- const SeqParams & m_seq_params
    Sequence parameters for input video format.

## Constructor & Destructor Documentation

dirac::DisplayParamsByteIO::DisplayParamsByteIO | ( | const SeqParams & | seq_params,
|  | SourceParams & | src_params,
|  | const SourceParams & | default_src_params,
|  | const ByteIO & | stream_data |
| ) |  |  |

Parameters:

  | seq_params | Sequence parameters
  | src_params | Source parameters
  | default_src_params | Default Source parameters
  | stream_data | Source/Destination of data

dirac::DisplayParamsByteIO::~DisplayParamsByteIO | ( |  | ) |

## Member Function Documentation

void dirac::DisplayParamsByteIO::Input | ( |  | ) |

void dirac::DisplayParamsByteIO::Output | ( |  | ) |

void dirac::DisplayParamsByteIO::InputAspectRatio | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputCleanArea | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputColourMatrix | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputColourPrimaries | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputColourSpecification | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputFrameRate | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputScanFormat | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputSignalRange | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::InputTransferFunction | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::OutputAspectRatio | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::OutputCleanArea | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::OutputColourSpecification | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::OutputFrameRate | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::OutputScanFormat | ( |  | ) | `[private]`

void dirac::DisplayParamsByteIO::OutputSignalRange | ( |  | ) | `[private]`

## Member Data Documentation

SourceParams& dirac::DisplayParamsByteIO::m_src_params `[private]`

const SourceParams& dirac::DisplayParamsByteIO::m_default_src_params `[private]`

const SeqParams& dirac::DisplayParamsByteIO::m_seq_params `[private]`

The documentation for this class was generated from the following file:

- displayparams_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.